Loading...
Searching...
No Matches
juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType > Class Template Reference

`#include <juce_AudioDataConverters.h>`

Inheritance diagram for juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >:

## Public Member Functions

| ConverterInstance (int numSourceChannels=1, int numDestChannels=1)
void | convertSamples (void *dest, const void *source, int numSamples) const override
void | convertSamples (void *dest, int destSubChannel, const void *source, int sourceSubChannel, int numSamples) const override

## Detailed Description

template<class SourceSampleType, class DestSampleType>
class juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >

A class that converts between two templated AudioData::Pointer types, and which implements the AudioData::Converter interface.

This can be used as a concrete instance of the AudioData::Converter abstract class.

See also
  AudioData::Converter

Definition at line 616 of file juce_AudioDataConverters.h.

## Constructor & Destructor Documentation

## ConverterInstance()

template<class SourceSampleType, class DestSampleType>

juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >::ConverterInstance | ( | int | numSourceChannels = 1,
|  | int | numDestChannels = 1 )

inline

Definition at line 619 of file juce_AudioDataConverters.h.

## Member Function Documentation

## convertSamples() [1/2]

template<class SourceSampleType, class DestSampleType>

void juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >::convertSamples | ( | void * | destSamples,
|  | const void * | sourceSamples,
|  | int | numSamples ) const

inline override virtual

Converts a sequence of samples from the converter's source format into the dest format.

Implements juce::AudioData::Converter.

Definition at line 623 of file juce_AudioDataConverters.h.

## convertSamples() [2/2]

template<class SourceSampleType, class DestSampleType>

void juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >::convertSamples | ( | void * | destSamples,
|  | int | destSubChannel,
|  | const void * | sourceSamples,
|  | int | sourceSubChannel,
|  | int | numSamples ) const

inline override virtual

Converts a sequence of samples from the converter's source format into the dest format. This method takes sub-channel indexes, which can be used with interleaved formats in order to choose a particular sub-channel of the data to be used.

Implements juce::AudioData::Converter.

Definition at line 630 of file juce_AudioDataConverters.h.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h